Bug 153066 - Jpilot crash: Buffer overflow
Jpilot crash: Buffer overflow
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: jpilot (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
: 154464 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-01 03:28 EST by José Salgado
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-29 02:31:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixes overflow in fgets call (501 bytes, patch)
2005-04-24 13:42 EDT, Roberto Biancardi
no flags Details | Diff
Todo (1.13 KB, text/plain)
2005-04-27 05:55 EDT, José Salgado
no flags Details

  None (edit)
Description José Salgado 2005-04-01 03:28:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
Every time I start jpilot I have this:

[tatxe@iglu ~]$ jpilot
*** buffer overflow detected ***: jpilot terminated
======= Backtrace: =========
/lib/tls/libc.so.6(__chk_fail+0x41)[0xa3a9e5]
jpilot(get_plugin_list+0x0)[0x808863a]
jpilot(main+0x2054)[0x807e9c0]
/lib/tls/libc.so.6(__libc_start_main+0xc6)[0x976db6]
jpilot[0x8053871]
======= Memory map: ========
00101000-00172000 r-xp 00000000 fd:00 9867446    /usr/lib/libgdk-x11-2.0.so.0.600.4
00172000-00179000 rwxp 00071000 fd:00 9867446    /usr/lib/libgdk-x11-2.0.so.0.600.4
0017b000-0018e000 r-xp 00000000 fd:00 9874207    /usr/lib/libgdk_pixbuf-2.0.so.0.600.4
0018e000-00190000 rwxp 00012000 fd:00 9874207    /usr/lib/libgdk_pixbuf-2.0.so.0.600.4
00190000-00191000 r-xp 00000000 fd:00 2195601    /usr/lib/gconv/ISO8859-1.so
00191000-00193000 rwxp 00000000 fd:00 2195601    /usr/lib/gconv/ISO8859-1.so
00193000-00195000 r-xp 00000000 fd:00 2195466    /usr/lib/gconv/CP1252.so
00195000-00197000 rwxp 00001000 fd:00 2195466    /usr/lib/gconv/CP1252.so
00199000-001b2000 r-xp 00000000 fd:00 4292665    /lib/ld-2.3.4.so
001b2000-001b3000 r-xp 00019000 fd:00 4292665    /lib/ld-2.3.4.so
001b3000-001b4000 rwxp 0001a000 fd:00 4292665    /lib/ld-2.3.4.so
001b4000-001bd000 r-xp 00000000 fd:00 10158090   /usr/lib/jpilot/plugins/libkeyring.so.0.0.0
001bd000-001be000 rwxp 00008000 fd:00 10158090   /usr/lib/jpilot/plugins/libkeyring.so.0.0.0
001be000-001c8000 r-xp 00000000 fd:00 10158086   /usr/lib/jpilot/plugins/libexpense.so.0.0.0
001c8000-001c9000 rwxp 00009000 fd:00 10158086   /usr/lib/jpilot/plugins/libexpense.so.0.0.0
005db000-005dc000 r-xp 00000000 fd:00 10158094   /usr/lib/jpilot/plugins/libsynctime.so.0.0.0
005dc000-005dd000 rwxp 00000000 fd:00 10158094   /usr/lib/jpilot/plugins/libsynctime.so.0.0.0
0077f000-00788000 r-xp 00000000 fd:00 9338909    /lib/libgcc_s-4.0.0-20050330.so.1
00788000-00789000 rwxp 00009000 fd:00 9338909    /lib/libgcc_s-4.0.0-20050330.so.1
007fc000-00827000 r-xp 00000000 fd:00 9871878    /usr/lib/libpisock.so.9.0.0
00827000-0082b000 rwxp 0002b000 fd:00 9871878    /usr/lib/libpisock.so.9.0.0
00920000-0092c000 r-xp 00000000 fd:00 9866629    /usr/X11R6/lib/libXext.so.6.4
0092c000-0092d000 rwxp 0000c000 fd:00 9866629    /usr/X11R6/lib/libXext.so.6.4
0092f000-00936000 r-xp 00000000 fd:00 9866633    /usr/X11R6/lib/libXrender.so.1.2.2
00936000-00937000 rwxp 00006000 fd:00 9866633    /usr/X11R6/lib/libXrender.so.1.2.2
00939000-0093b000 r-xp 00000000 fd:00 9866645    /usr/X11R6/lib/libXrandr.so.2.00093b000-0093c000 rwxp 00002000 fd:00 9866645    /usr/X11R6/lib/libXrandr.so.2.00093e000-00940000 r-xp 00000000 fd:00 9867335    /usr/X11R6/lib/libXinerama.so.1.0
00940000-00941000 rwxp 00001000 fd:00 9867335    /usr/X11R6/lib/libXinerama.so.1.0
00943000-00954000 r-xp 00000000 fd:00 9867383    /usr/X11R6/lib/libXft.so.2.1.2
00954000-00955000 rwxp 00010000 fd:00 9867383    /usr/X11R6/lib/libXft.so.2.1.2
00957000-0095f000 r-xp 00000000 fd:00 9867425    /usr/X11R6/lib/libXcursor.so.1.0.2
0095f000-00960000 rwxp 00007000 fd:00 9867425    /usr/X11R6/lib/libXcursor.so.1.0.2
00962000-00a7f000 r-xp 00000000 fd:00 4423691    /lib/tls/libc-2.3.4.so
00a7f000-00a81000 r-xp 0011d000 fd:00 4423691    /lib/tls/libc-2.3.4.so
00a81000-00a83000 rwxp 0011f000 fd:00 4423691    /lib/tls/libc-2.3.4.so
00a83000-00a85000 rwxp 00a83000 00:00 0
00a87000-00aa7000 r-xp 00000000 fd:00 4423692    /lib/tls/libm-2.3.4.so
00aa7000-00aa8000 r-xp 0001f000 fd:00 4423692    /lib/tls/libm-2.3.4.so
00aa8000-00aa9000 rwxp 00020000 fd:00 4423692    /lib/tls/libm-2.3.4.so
00aab000-00aad000 r-xp 00000000 fd:00 4292667    /lib/libdl-2.3.4.so
00aad000-00aae000 r-xp 00001000 fd:00 4292667    /lib/libdl-2.3.4.so
00aae000-00aaf000 rwxp 00002000 fd:00 4292667    /lib/libdl-2.3.4.so
00ab1000-00ac2000 r-xp 00000000 fd:00 9874204    /usr/lib/libz.so.1.2.2.2
00ac2000-00ac3000 rwxp 00010000 fd:00 9874204    /usr/lib/libz.so.1.2.2.2
00ad9000-00b9a000 r-xp 00000000 fd:00 9866489    /usr/X11R6/lib/libX11.so.6.2
00b9a000-00b9e000 rwxp 000c1000 fd:00 9866489    /usr/X11R6/lib/libX11.so.6.2
00ba0000-00ba7000 r-xp 00000000 fd:00 9867257    /usr/X11R6/lib/libXi.so.6.0
00ba7000-00ba8000 rwxp 00006000 fd:00 9867257    /usr/X11R6/Abortado


Version-Release number of selected component (if applicable):
jpilot-0.99.8-0.pre8.1

How reproducible:
Always

Steps to Reproduce:
1.start jpilot
2.
3.
  

Actual Results:  Crash

Expected Results:  Works :)

Additional info:

[tatxe@iglu ~]$ rpm -qa pilot*
pilot-link-0.12.0-0.pre2.0
Comment 1 Pete Graner 2005-04-01 11:27:38 EST
Same exact issue here.
Comment 2 David Sklar 2005-04-03 16:57:46 EDT
I have the same problem. 

If I start jpilot with the -p argument, however, jpilot runs and syncs with my
Tungsten C. However, jpilot doesn't retrieve the categories from the device and
prints "todo.c:357 Error reading category info ToDoDB" stdout. Otherwise, jpilot
seems to work fine.
Comment 3 Pete Graner 2005-04-04 14:34:12 EDT
The -p works for me with out the error msg and the catagory issue. I'm on a Treo
600.
Comment 4 Colin Charles 2005-04-12 12:16:02 EDT
*** Bug 154464 has been marked as a duplicate of this bug. ***
Comment 5 Ivana Varekova 2005-04-18 05:15:47 EDT
I try to reproduce this bug, but I was not successful. 
I use packages pilot-link-0.12.0-0.pre2.0 and jpilot-0.99.8-0.pre8.1.
Which version of glibc do you use please?
Ivana Varekova

Comment 6 Colin Charles 2005-04-18 07:49:55 EDT
I could duplicate this before, but its since working with a rawhide snapshot of
a few days ago. Guessing its a CLOSED->RAWHIDE
Comment 7 José Salgado 2005-04-18 09:49:41 EDT
I have a different log when I try to run jpilot (without -p option).

[tatxe@iglu ~]$ jpilot
*** buffer overflow detected ***: jpilot terminated
======= Backtrace: =========
/lib/libc.so.6(__chk_fail+0x41)[0xac3ac5]
jpilot(get_plugin_list+0x0)[0x808863a]
jpilot(main+0x2054)[0x807e9c0]
/lib/libc.so.6(__libc_start_main+0xc6)[0x9fadd6]
jpilot[0x8053871]
======= Memory map: ========
00111000-003dd000 r-xp 00000000 fd:00 9871167    /usr/lib/libgtk-x11-2.0.so.0.600.7
003dd000-00404000 rwxp 002cc000 fd:00 9871167    /usr/lib/libgtk-x11-2.0.so.0.600.7
00404000-00407000 rwxp 00404000 00:00 0
00407000-0041b000 r-xp 00000000 fd:00 9871550    /usr/lib/libatk-1.0.so.0.901.0
0041b000-0041e000 rwxp 00014000 fd:00 9871550    /usr/lib/libatk-1.0.so.0.901.0
0041e000-0043f000 r-xp 00000000 fd:00 9338940    /lib/libm-2.3.5.so
0043f000-00440000 r-xp 00020000 fd:00 9338940    /lib/libm-2.3.5.so
00440000-00441000 rwxp 00021000 fd:00 9338940    /lib/libm-2.3.5.so
00441000-00471000 r-xp 00000000 fd:00 9871012    /usr/lib/libpango-1.0.so.0.800.1
00471000-00477000 rwxp 00030000 fd:00 9871012    /usr/lib/libpango-1.0.so.0.800.1
00477000-004fb000 r-xp 00000000 fd:00 9867651   
/usr/lib/libglib-2.0.so.0.600.4004fb000-00500000 rwxp 00084000 fd:00 9867651   
/usr/lib/libglib-2.0.so.0.600.400500000-00507000 r-xp 00000000 fd:00 9871054   
/usr/X11R6/lib/libXi.so.6.0
00507000-00508000 rwxp 00006000 fd:00 9871054    /usr/X11R6/lib/libXi.so.6.0
00508000-00569000 r-xp 00000000 fd:00 9869460    /usr/lib/libfreetype.so.6.3.7
00569000-00570000 rwxp 00061000 fd:00 9869460    /usr/lib/libfreetype.so.6.3.7
00570000-00579000 r-xp 00000000 fd:00 9869577    /usr/X11R6/lib/libXcursor.so.1.0.2
00579000-0057a000 rwxp 00008000 fd:00 9869577    /usr/X11R6/lib/libXcursor.so.1.0.2
0057a000-00581000 r-xp 00000000 fd:00 9871750    /usr/X11R6/lib/libXrender.so.1.2.2
00581000-00582000 rwxp 00007000 fd:00 9871750    /usr/X11R6/lib/libXrender.so.1.2.2
00584000-00585000 r-xp 00584000 00:00 0
00585000-00655000 r-xp 00000000 fd:00 9870609    /usr/X11R6/lib/libX11.so.6.2
00655000-00659000 rwxp 000cf000 fd:00 9870609    /usr/X11R6/lib/libX11.so.6.2
00659000-00667000 r-xp 00000000 fd:00 9866345    /usr/X11R6/lib/libXext.so.6.4
00667000-00668000 rwxp 0000e000 fd:00 9866345    /usr/X11R6/lib/libXext.so.6.4
00668000-0068b000 r-xp 00000000 fd:00 9875642    /usr/lib/libpangoft2-1.0.so.0.800.1
0068b000-0068d000 rwxp 00022000 fd:00 9875642    /usr/lib/libpangoft2-1.0.so.0.800.1
0068d000-0068e000 r-xp 00000000 fd:00 9936216    /usr/lib/gconv/ISO8859-1.so
0068e000-00690000 rwxp 00000000 fd:00 9936216    /usr/lib/gconv/ISO8859-1.so
00690000-00692000 r-xp 00000000 fd:00 9935977    /usr/lib/gconv/CP1252.so
00692000-00694000 rwxp 00001000 fd:00 9935977    /usr/lib/gconv/CP1252.so
00694000-0069e000 r-xp 00000000 fd:00 10158105  
/usr/lib/jpilot/plugins/libexpense.so.0.0.0
0069e000-0069f000 rwxp 00009000 fd:00 10158105  
/usr/lib/jpilot/plugins/libexpense.so.0.0.0
0069f000-006a8000 r-xp 00000000 fd:00 9338904    /lib/libgcc_s-4.0.0-20050412.so.1
006a8000-006a9000 rwxp 00009000 fd:00 9338904    /lib/libgcc_s-4.0.0-20050412.so.1
00723000-0074e000 r-xp 00000000 fd:00 9871124    /usr/lib/libpisock.so.9.0.0
0074e000-00752000 rwxp 0002b000 fd:00 9871124    /usr/lib/libpisock.so.9.0.0
00752000-00849000 r-xp 00000000 fd:00 9338891    /lib/libcrypto.so.0.9.7f
00849000-0085b000 rwxp 000f7000 fd:00 9338891    /lib/libcrypto.so.0.9.7f
0085b000-0085e000 rwxp 0085b000 00:00 0
0086c000-0086e000 r-xp 00000000 fd:00 9871066    /usr/X11R6/lib/libXinerama.so.1.0
0086e000-0086f000 rwxp 00001000 fd:00 9871066    /usr/X11R6/lib/libXinerama.so.1.0
008bb000-008be000 r-xp 00000000 fd:00 9870390   
/usr/X11R6/lib/libXrandr.so.2.0008be000-008bf000 rwxp 00002000 fd:00 9870390   
/usr/X11R6/lib/libXrandr.so.2.00090a000-0090e000 r-xp 00000000 fd:00 9870909   
/usr/X11R6/lib/libXfixes.so.3.00090e000-0090f000 rwxp 00003000 fd:00 9870909   
/usr/X11R6/lib/libXfixes.so.3.00091b000-00920000 r-xp 00000000 fd:00 9875645   
/usr/lib/libpangoxft-1.0.so.0.800.1
00920000-00921000 rwxp 00005000 fd:00 9875645    /usr/lib/libpangoxft-1.0.so.0.800.1
0092c000-00945000 r-xp 00000000 fd:00 9338894    /lib/ld-2.3.5.so
00945000-00946000 r-xp 00018000 fd:00 9338894    /lib/ld-2.3.5.so
00946000-00947000 rwxp 00019000 fd:00 9338894    /lib/ld-2.3.5.so
0095a000-0096c000 r-xp 00000000 fd:00 9873570    /usr/lib/libz.so.1.2.2.2
0096c000-0096d000 rwxp 00011000 fd:00 9873570    /usr/lib/libz.so.1.2.2.2
00987000-0098a000 r-xp 00000000 fd:00 9866640    /usr/lib/libgmodule-2.0.so.0.600.4
0098a000-0098b000 rwxp 00002000 fd:00 9866640    /usr/lib/libgmodule-2.0.so.0.600.4
00998000-0099a000 r-xp 00000000 fd:00 9338933    /lib/libdl-2.3.5.so
0099a000-0099b000 r-xp 00001000 fd:00 9338933    /lib/libdl-2.3.5.so
0099b000-0099c000 rwxp 00002000 fd:00 9338933    /lib/libdl-2.3.5.so
009e6000-00b08000 r-xp 00000000 fd:00 9338916    /lib/libc-2.3.5.so
00b08000-00b0a000 r-xp 00121000 fd:00 9338916    /lib/libc-2.3.5.so
00b0a000-00b0c000 rwxp 00123000 fd:00 9338916    /lib/libc-2.3.5.so
00b0c000-00b0e000 rwxp 00b0c000 00:00 0
00bc2000-00c3e000 r-xp 00000000 fd:00 9871050    /usr/lib/libgdk-x11-2.0.so.0.600.7
00c3e000-00c45000 rwxp 0007c000 fd:00 9871050    /usr/lib/libgdk-x11-2.0.so.0.600.7
00c61000-00c99000 r-xp 00000000 fd:00 9869827    /usr/lib/libgobject-2.0.so.0.600.4
00c99000-00c9d000 rwxp 00037000 fd:00 9869827    /usr/lib/libgobject-2.0.so.0.600.4
00ce1000-00cfe000 r-xp 00000000 fd:00 9873975    /usr/lib/libexpat.so.0.5.0
00cfe000-00d00000 rwxp 0001c000 fd:00 9873975    /usr/lib/libexpat.so.0.5.0
00d1e000-00d1f000 r-xp 00000000 fd:00 10158113  
/usr/lib/jpilot/plugins/libsynctime.so.0.0.0
00d1f000-00d20000 rwxp 00000000 fd:00 10158113  
/usr/lib/jpilot/plugins/libsynctime.so.0.0.0
00d5c000-00d6e000 r-xp 00000000 fd:00 9870179    /usr/X11R6/lib/libXft.so.2.1.2
00d6e000-00d6f000 rwxp 00012000 fd:00 9870179    /usr/X11R6/lib/libXft.so.2.1.2
00d73000-00d87000 r-xp 00000000 fd:00 9871062   
/usr/lib/libgdk_pixbuf-2.0.so.0.600.7
00d87000-00d89000 rwxp 00013000 fd:00 9871062   
/usr/lib/libgdk_pixbuf-2.0.so.0.600.7
00da9000-00dcc000 r-xp 00000000 fd:00 9875627   
/usr/lib/libfontconfig.so.1.0.400dcc000-00dcf000 rwxp 00022000 fd:00 9875627   
/usr/lib/libfontconfig.so.1.0.400dcf000-00dd0000 rwxp 00dcf000 00:00 0
00dea000-00df4000 r-xp 00000000 fd:00 9871143    /usr/lib/libpangox-1.0.so.0.800.1
00df4000-00df5000 rwxp 00009000 fd:00 9871143    /usr/lib/libpangox-1.0.so.0.800.1
00e6e000-00e77000 r-xp 00000000 fd:00 10158109  
/usr/lib/jpilot/plugins/libkeyring.so.0.0.0
00e77000-00e78000 rwxp 00008000 fd:00 10158109  
/usr/lib/jpilot/plugins/libkeyring.so.0.0.0
08047000-080c8000 r-xp 00000000 fd:00 9875476    /usr/bin/jpilot
080c8000-080ca000 rw-p 00080000 fd:00 9875476    /usr/bin/jpilot
080ca000-080cc000 rw-p 080ca000 00:00 0
08273000-08294000 rw-p 08273000 00:00 0          [heap]
b7d27000-b7d31000 r--p 00000000 fd:00 9937041   
/usr/share/locale/es/LC_MESSAGES/gtk20.mo
b7d31000-b7d37000 r--s 00000000 fd:00 9936275    /usr/lib/gconv/gconv-modules.cache
b7d37000-b7d42000 r--p 00000000 fd:00 9929124   
/usr/share/locale/es/LC_MESSAGES/jpilot.mo
b7d42000-b7f42000 r--p 00000000 fd:00 9873677    /usr/lib/locale/locale-archive
b7f42000-b7f49000 rw-p b7f42000 00:00 0
b7f59000-b7f5a000 rw-p b7f59000 00:00 0
bfe45000-bfe5a000 rw-p bfe45000 00:00 0          [stack]
Abortado

All of this with:
[root@iglu ~]# rpm -qa *pilot*
pilot-link-0.12.0-0.pre2.0
gnome-pilot-2.0.13-1
gnome-pilot-conduits-2.0.13-1
jpilot-0.99.8-0.pre8.1

Comment 8 Ivana Varekova 2005-04-18 11:13:27 EDT
Which version of glibc do you use please?
Ivana Varekova
Comment 9 José Salgado 2005-04-18 11:29:00 EDT
Hi Ivana...

That's what I get:
[root@iglu ~]# rpm -qa glibc*
glibc-2.3.5-1
glibc-headers-2.3.5-1
glibc-common-2.3.5-1
glibc-kernheaders-2.4-9.1.93
glibc-devel-2.3.5-1
Comment 10 Colin Charles 2005-04-18 11:43:17 EDT
rpm -qa glibc*
glibc-2.3.4-21.i686
glibc-common-2.3.4-21.i386
glibc-profile-2.3.4-21.i386
glibc-headers-2.3.4-21.i386
glibc-kernheaders-2.4-9.1.90.i386
glibc-utils-2.3.4-21.i386
glibc-devel-2.3.4-21.i386

Works with that. So, was there some kind of weird regression between what came
up with FC4test1 (where I saw the bug), to the rawhide of a while ago where i
got glibc-2.3.4-21 to now, where its out again in glibc-2.3.5-1 ?
Comment 11 David Sklar 2005-04-18 11:49:42 EDT
I still see this error as well. Here are my trace and versions:

*** buffer overflow detected ***: jpilot terminated
======= Backtrace: =========
/lib/libc.so.6(__chk_fail+0x41)[0xa20ac5]
jpilot(get_plugin_list+0x0)[0x808863a]
jpilot(main+0x2054)[0x807e9c0]
/lib/libc.so.6(__libc_start_main+0xc6)[0x957dd6]
jpilot[0x8053871]
======= Memory map: ========
00101000-0017d000 r-xp 00000000 fd:00 23706753   /usr/lib/libgdk-x11-2.0.so.0.600.7
0017d000-00184000 rw-p 0007c000 fd:00 23706753   /usr/lib/libgdk-x11-2.0.so.0.600.7
00186000-00452000 r-xp 00000000 fd:00 23706756   /usr/lib/libgtk-x11-2.0.so.0.600.7
00452000-00479000 rw-p 002cc000 fd:00 23706756   /usr/lib/libgtk-x11-2.0.so.0.600.7
00479000-0047c000 rw-p 00479000 00:00 0
0047e000-00492000 r-xp 00000000 fd:00 23706729  
/usr/lib/libgdk_pixbuf-2.0.so.0.600.7
00492000-00494000 rw-p 00013000 fd:00 23706729  
/usr/lib/libgdk_pixbuf-2.0.so.0.600.7
00494000-0049d000 r-xp 00000000 fd:00 27230296  
/usr/lib/jpilot/plugins/libkeyring.so.0.0.0
0049d000-0049e000 rw-p 00008000 fd:00 27230296  
/usr/lib/jpilot/plugins/libkeyring.so.0.0.0
0049e000-004a8000 r-xp 00000000 fd:00 27230288  
/usr/lib/jpilot/plugins/libexpense.so.0.0.0
004a8000-004a9000 rw-p 00009000 fd:00 27230288  
/usr/lib/jpilot/plugins/libexpense.so.0.0.0
00593000-0068a000 r-xp 00000000 fd:00 15499305   /lib/libcrypto.so.0.9.7f
0068a000-0069c000 rw-p 000f7000 fd:00 15499305   /lib/libcrypto.so.0.9.7f
0069c000-0069f000 rw-p 0069c000 00:00 0
006e1000-006ea000 r-xp 00000000 fd:00 15499332   /lib/libgcc_s-4.0.0-20050412.so.1
006ea000-006eb000 rw-p 00009000 fd:00 15499332   /lib/libgcc_s-4.0.0-20050412.so.1
0079d000-0079e000 r-xp 0079d000 00:00 0
00839000-00864000 r-xp 00000000 fd:00 23701383   /usr/lib/libpisock.so.9.0.0
00864000-00868000 rw-p 0002b000 fd:00 23701383   /usr/lib/libpisock.so.9.0.0
0090e000-00910000 r-xp 00000000 fd:00 23756825   /usr/lib/gconv/CP1252.so
00910000-00912000 rw-p 00001000 fd:00 23756825   /usr/lib/gconv/CP1252.so
00926000-0093f000 r-xp 00000000 fd:00 15499271   /lib/ld-2.3.5.so
0093f000-00940000 r--p 00018000 fd:00 15499271   /lib/ld-2.3.5.so
00940000-00941000 rw-p 00019000 fd:00 15499271   /lib/ld-2.3.5.so
00943000-00a65000 r-xp 00000000 fd:00 15499280   /lib/libc-2.3.5.so
00a65000-00a67000 r--p 00121000 fd:00 15499280   /lib/libc-2.3.5.so
00a67000-00a69000 rw-p 00123000 fd:00 15499280   /lib/libc-2.3.5.so
00a69000-00a6b000 rw-p 00a69000 00:00 0
00a6d000-00a8e000 r-xp 00000000 fd:00 15499291   /lib/libm-2.3.5.so
00a8e000-00a8f000 r--p 00020000 fd:00 15499291   /lib/libm-2.3.5.so
00a8f000-00a90000 rw-p 00021000 fd:00 15499291   /lib/libm-2.3.5.so
00a92000-00a94000 r-xp 00000000 fd:00 15499303   /lib/libdl-2.3.5.so
00a94000-00a95000 r--p 00001000 fd:00 15499303   /lib/libdl-2.3.5.so
00a95000-00a96000 rw-p 00002000 fd:00 15499303   /lib/libdl-2.3.5.so
00a98000-00aaa000 r-xp 00000000 fd:00 23706726   /usr/lib/libz.so.1.2.2.2
00aaa000-00aab000 rw-p 00011000 fd:00 23706726   /usr/lib/libz.so.1.2.2.2
00aad000-00b7d000 r-xp 00000000 fd:00 23706730   /usr/X11R6/lib/libX11.so.6.2
00b7d000-00b81000 rw-p 000cf000 fd:00 23706730   /usr/X11R6/lib/libX11.so.6.2
00b83000-00c07000 r-xp 00000000 fd:00 23698129  
/usr/lib/libglib-2.0.so.0.600.400c07000-00c0c000 rw-p 00084000 fd:00 23698129  
/usr/lib/libglib-2.0.so.0.600.400c0e000-00c46000 r-xp 00000000 fd:00 23703762  
/usr/lib/libgobject-2.0.so.0.600.4
00c46000-00c4a000 rw-p 00037000 fd:00 23703762   /usr/lib/libgobject-2.0.so.0.600.4
00c4c000-00c5a000 r-xp 00000000 fd:00 23706732   /usr/X11R6/lib/libXext.so.6.4
00c5a000-00c5b000 rw-p 0000e000 fd:00 23706732   /usr/X11R6/lib/libXext.so.6.4
00c70000-00c73000 r-xp 00000000 fd:00 23695744   /usr/lib/libgmodule-2.0.so.0.600.4
00c73000-00c74000 rw-p 00002000 fd:00 23695744   /usr/lib/libgmodule-2.0.so.0.600.4
00c76000-00c93000 r-xp 00000000 fd:00 23706739   /usr/lib/libexpat.so.0.5.0
00c93000-00c95000 rw-p 0001c000 fd:00 23706739   /usr/lib/libexpat.so.0.5.0
00c97000-00cf8000 r-xp 00000000 fd:00 23706738   /usr/lib/libfreetype.so.6.3.7
00cf8000-00cff000 rw-p 00061000 fd:00 23706738   /usr/lib/libfreetype.so.6.3.7
00d01000-00d24000 r-xp 00000000 fd:00 23706740  
/usr/lib/libfontconfig.so.1.0.400d24000-00d27000 rw-p 00022000 fd:00 23706740  
/usr/lib/libfontconfig.so.1.0.400d27000-00d28000 rw-p 00d27000 00:00 0
00d2a000-00d31000 r-xp 00000000 fd:00 23706736   /usr/X11R6/lib/libXi.so.6.0
00d31000-00d32000 rw-p 00006000 fd:00 23706736   /usr/X11R6/lib/libXi.so.6.0
00d34000-00d3b000 r-xp 00000000 fd:00 23706733   /usr/X11R6/lib/libXrender.so.1.2.2
00d3b000-00d3c000 rw-p 00007000 fd:00 23706733   /usr/X11R6/lib/libXrender.so.1.2.2
00d3e000-00d61000 r-xp 00000000 fd:00 23706748   /usr/lib/libpangoft2-1.0.so.0.800.1
00d61000-00d63000 rw-p 00022000 fd:00 23706748   /usr/lib/libpangoft2-1.0.so.0.800.1
00d65000-00d95000 r-xp 00000000 fd:00 23706746   /usr/lib/libpango-1.0.so.0.800.1
00d95000-00d9b000 rw-p 00030000 fd:00 23706746   /usr/lib/libpango-1.0.so.0.800.1
00d9d000-00da1000 r-xp 00000000 fd:00 23706743  
/usr/X11R6/lib/libXfixes.so.3.000da1000-00da2000 rw-p 00003000 fd:00 23706743  
/usr/X11R6/lib/libXfixes.so.3.000da4000-00da6000 r-xp 00000000 fd:00 23706737  
/usr/X11R6/lib/libXinerama.so.1.0
00da6000-00da7000 rw-p 00001000 fd:00 23706737   /usr/X11R6/lib/libXinerama.so.1.0
00da9000-00db3000 r-xp 00000000 fd:00 23706751   /usr/lib/libpangox-1.0.so.0.800.1
00db3000-00db4000 rw-p 00009000 fd:00 23706751   /usr/lib/libpangox-1.0.so.0.800.1
00db6000-00dbb000 r-xp 00000000 fd:00 23706749   /usr/lib/libpangoxft-1.0.so.0.800.1
00dbb000-00dbc000 rw-p 00005000 fd:00 23706749   /usr/lib/libpangoxft-1.0.so.0.800.1
00dbe000-00dc7000 r-xp 00000000 fd:00 23706744   /usr/X11R6/lib/libXcursor.so.1.0.2
00dc7000-00dc8000 rw-p 00008000 fd:00 23706744   /usr/X11R6/lib/libXcursor.so.1.0.2
00dca000-00ddc000 r-xp 00000000 fd:00 23706741   /usr/X11R6/lib/libXft.so.2.1.2
00ddc000-00ddd000 rw-p 00012000 fd:00 23706741   /usr/X11R6/lib/libXft.so.2.1.2
00ddf000-00df3000 r-xp 00000000 fd:00 23706755   /usr/lib/libatk-1.0.so.0.901.0
00df3000-00df6000 rw-p 00014000 fd:00 23706755   /usr/lib/libatk-1.0.so.0.901.0
00df8000-00dfb000 r-xp 00000000 fd:00 23706734  
/usr/X11R6/lib/libXrandr.so.2.000dfb000-00dfc000 rw-p 00002000 fd:00 23706734  
/usr/X11R6/lib/libXrandr.so.2.000f97000-00f98000 r-xp 00000000 fd:00 27230303  
/usr/lib/jpilot/plugins/libsynctime.so.0.0.0
00f98000-00f99000 rw-p 00000000 fd:00 27230303  
/usr/lib/jpilot/plugins/libsynctime.so.0.0.0
08047000-080c8000 r-xp 00000000 fd:00 23694753   /usr/bin/jpilot
080c8000-080ca000 rw-p 00080000 fd:00 23694753   /usr/bin/jpilot
080ca000-080cc000 rw-p 080ca000 00:00 0
09832000-09853000 rw-p 09832000 00:00 0          [heap]
b7f83000-b7f8a000 rw-p b7f83000 00:00 0
b7f94000-b7f9a000 r--s 00000000 fd:00 23756849   /usr/lib/gconv/gconv-modules.cache
b7f9a000-b7f9b000 rw-p b7f9a000 00:00 0
bf885000-bf89b000 rw-p bf885000 00:00 0          [stack]
Aborted

$ rpm -qa glibc*
glibc-devel-2.3.5-1
glibc-kernheaders-2.4-9.1.94
glibc-2.3.5-1
glibc-common-2.3.5-1
glibc-headers-2.3.5-1


$ rpm -qa pilot-link*
pilot-link-devel-0.12.0-0.pre2.0
pilot-link-0.12.0-0.pre2.0

$ rpm -qa jpilot*
jpilot-0.99.8-0.pre8.1
jpilot-debuginfo-0.99.8-0.pre8.1
Comment 12 Roberto Biancardi 2005-04-24 13:42:50 EDT
Created attachment 113615 [details]
fixes overflow in fgets call

There is a call to fgets with an invalid size, attached the patch that solves
the problem.
Comment 13 Ivana Varekova 2005-04-25 08:56:45 EDT
Thank you for your notices.
The problem was fixed. (I use Roberto's patch. Thank you.)
The fixed version is jpilot-0.99.8-0.pre8.3.
Ivana Varekova
Comment 14 José Salgado 2005-04-27 02:55:53 EDT
Now It's working fine. Just one thing, Jpilot cant "read" the Pilot categories.
I start jpilot and...

[tatxe@iglu ~]$ jpilot
Error al leer del fichero: AddressDB.pdb
(Error reading AddressDB.pdb file)
todo.c:357 Error al leer la información de la categoría ToDoDB
(Error reading category information from ToDoDB file)
Error al leer del fichero: AddressDB.pdb
(Error reading AddressDB.pdb file)
Error al leer del fichero: MemoDB
(Error reading MemoDB file)
Comment 15 Ivana Varekova 2005-04-27 05:26:01 EDT
I try to reproduce your problem, but I was not succesfull. Can you please attach
your files MemoDB.pdb, AddressDB.pdb and ToDoDB.pdb. 
Thank you.
Ivana Varekova
Comment 16 José Salgado 2005-04-27 05:55:12 EDT
Created attachment 113709 [details]
Todo

An todo example that shows errors in Jpilot
Comment 17 Ivana Varekova 2005-04-28 07:18:48 EDT
Hello, 
Jpilot works right, there is a problem in attached ToDoDB.pdb file. There is
problem in file header. 
Can you specify which command produced this misstake in ToDoDB.pdb file? (This
ToDoDB.pdb file produce the same error in the previous jpilot version.) 
Ivana Varekova
Comment 18 José Salgado 2005-04-28 07:23:22 EDT
I'm sorry but I cant tell which command produced this mistake becouse I don't
know. Jpilot usually worked fine in FC3... Could be I've sync the Treo on
Windows before I start to use FC4?
Comment 19 Ivana Varekova 2005-04-28 09:36:22 EDT
FC3 Jpilot produce the same error as new FC4 Jpilot so if your FC3 Jpilot worked
fine, so in ToDoDB.pdb was not this misstake. The misstake must appeared before
your FC4 jpilot first wrote this error output.
It probably happend when you used Treo (if this error appear when you run FC4
jpilot first).
Ivana Varekova
Comment 20 José Salgado 2005-04-28 15:03:37 EDT
It's been a hard day. My Treo crashes and I must send to the technical center.
When I get it back, I'm tryin to start from zero and we know for sure if it's my
treo.
Comment 21 Ivana Varekova 2005-04-29 02:31:53 EDT
Fine, Jpilot is right and I will close this bug.
Ivana Varekova

Note You need to log in before you can comment on or make changes to this bug.